## org.eclipse.datatools.sqltools.core
Interface IDatabaseSetting

public interface IDatabaseSetting

Holds database configuration properties. Database level configurations will be retrieved from server by using getProperty(String propName) and are named after "P_"; Launch level configurations will be retrieved from an eclipse launch configuration by using getLaunchConfigProperty(LaunchConfiguration lc, String propName) and are named after "C_";Connection level configurations will be retrieved from an eclipse preference store by using getConnectionConfigProperty( String propName) and are named after "C_".

Author:
  Hui Cao

Nested Class Summary
`static class` `IDatabaseSetting.NotSupportedSettingException`

Field Summary
`static java.lang.String` `C_QUOTED_IDENTIFIER` Whether double string is regarded as quoted identifier in connection level
`static java.lang.String` `P_CASE_SENSITIVE` Whether the database is configured as case sensitive( boolean value )

Method Summary
`java.lang.Object` `getConnectionConfigProperty(java.lang.String propName)` Return connection level configuration value
`java.lang.Object` `getLaunchConfigProperty(ILaunchConfiguration lc, java.lang.String propName)` Return launch level configuration value, using getConnectionConfigProperty(String propName) as default
`java.lang.Object` `getProperty(java.lang.String propName)` Retrieves the database level configuration value

Field Detail

### P_CASE_SENSITIVE

    public static final java.lang.String P_CASE_SENSITIVE

  Whether the database is configured as case sensitive( boolean value )

  See Also:
    Constant Field Values

### C_QUOTED_IDENTIFIER

    public static final java.lang.String C_QUOTED_IDENTIFIER

  Whether double string is regarded as quoted identifier in connection level

  See Also:
    Constant Field Values

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String propName)
                                 throws IDatabaseSetting.NotSupportedSettingException

  Retrieves the database level configuration value

  Parameters:
    `propName` - the property name
  Returns:
    the database level configuration value
  Throws:
    `IDatabaseSetting.NotSupportedSettingException`

### getLaunchConfigProperty

    public java.lang.Object getLaunchConfigProperty(ILaunchConfiguration lc,
                                                    java.lang.String propName)
                                             throws IDatabaseSetting.NotSupportedSettingException

  Return launch level configuration value, using getConnectionConfigProperty(String propName) as default

  Parameters:
    `lc` - the launch configuration used to get properties
    `propName` - the property name
  Returns:
    property value
  Throws:
    `IDatabaseSetting.NotSupportedSettingException`

### getConnectionConfigProperty

    public java.lang.Object getConnectionConfigProperty(java.lang.String propName)
                                                 throws IDatabaseSetting.NotSupportedSettingException

  Return connection level configuration value

  Parameters:
    `propName` - the property name
  Returns:
    property value
  Throws:
    `IDatabaseSetting.NotSupportedSettingException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.